VERSION 5.00
Begin VB.Form FConfig 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VBWeb Config"
   ClientHeight    =   2355
   ClientLeft      =   10650
   ClientTop       =   8805
   ClientWidth     =   6180
   Icon            =   "FConfig.frx":0000
   LinkTopic       =   "VBWebConfig"
   MaxButton       =   0   'False
   ScaleHeight     =   2355
   ScaleWidth      =   6180
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton CSave 
      Caption         =   "Save Settings"
      Height          =   495
      Left            =   4740
      TabIndex        =   14
      Top             =   1800
      Width           =   1335
   End
   Begin VB.Frame FLog 
      Caption         =   "Log"
      Height          =   975
      Left            =   2940
      TabIndex        =   9
      Top             =   720
      Width           =   2475
      Begin VB.CheckBox CError 
         Caption         =   "Errors"
         Height          =   195
         Left            =   1200
         TabIndex        =   13
         Top             =   600
         Width           =   735
      End
      Begin VB.CheckBox CConnect 
         Caption         =   "Connections"
         Height          =   195
         Left            =   1200
         TabIndex        =   12
         Top             =   300
         Width           =   1215
      End
      Begin VB.CheckBox CLogDebug 
         Caption         =   "Debug"
         Height          =   195
         Left            =   180
         TabIndex        =   11
         Top             =   600
         Width           =   795
      End
      Begin VB.CheckBox CLogFile 
         Caption         =   "File"
         Height          =   195
         Left            =   180
         TabIndex        =   10
         Top             =   300
         Width           =   615
      End
      Begin VB.Line LLog 
         BorderColor     =   &H80000014&
         X1              =   1020
         X2              =   1020
         Y1              =   180
         Y2              =   900
      End
   End
   Begin VB.Frame FWebRoot 
      Caption         =   "Web Root"
      Height          =   675
      Left            =   1140
      TabIndex        =   2
      Top             =   0
      Width           =   4995
      Begin VB.TextBox TWebRoot 
         Height          =   315
         Left            =   120
         OLEDragMode     =   1  'Automatic
         OLEDropMode     =   1  'Manual
         TabIndex        =   3
         Top             =   240
         Width           =   4755
      End
   End
   Begin VB.Frame FIndex 
      Caption         =   "HTML Index"
      Height          =   1575
      Left            =   60
      TabIndex        =   4
      Top             =   720
      Width           =   2835
      Begin VB.CommandButton CIndexRemove 
         Caption         =   "Remove"
         Height          =   315
         Left            =   1620
         TabIndex        =   8
         Top             =   1140
         Width           =   1095
      End
      Begin VB.CommandButton CIndexAdd 
         Caption         =   "Add"
         Height          =   315
         Left            =   1320
         TabIndex        =   6
         Top             =   240
         Width           =   1395
      End
      Begin VB.TextBox TIndex 
         Height          =   285
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Width           =   1155
      End
      Begin VB.ListBox LIndex 
         Height          =   840
         ItemData        =   "FConfig.frx":0442
         Left            =   120
         List            =   "FConfig.frx":0444
         MultiSelect     =   1  'Simple
         TabIndex        =   7
         Top             =   600
         Width           =   1395
      End
   End
   Begin VB.Frame FPort 
      Caption         =   "Port"
      Height          =   675
      Left            =   60
      TabIndex        =   0
      Top             =   0
      Width           =   1035
      Begin VB.ComboBox CPort 
         Height          =   315
         ItemData        =   "FConfig.frx":0446
         Left            =   120
         List            =   "FConfig.frx":0450
         TabIndex        =   1
         Top             =   240
         Width           =   795
      End
   End
End
Attribute VB_Name = "FConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()
  Dim I() As String
  Dim Lp As Integer

  FVBWeb.Config = True
  CPort.Text = CStr(FVBWeb.LPort)
  TWebRoot.Text = FVBWeb.WebRoot
  I = Split(FVBWeb.IndexHTML, ";")
  For Lp = 0 To UBound(I)
    LIndex.AddItem I(Lp)
  Next Lp
  CLogFile.Value = CByte(FVBWeb.FLog) And 1
  CLogDebug.Value = CByte(FVBWeb.DLog) And 1
  CConnect.Value = CByte(FVBWeb.LogC) And 1
  CError.Value = CByte(FVBWeb.LogE) And 1
End Sub

Private Sub Form_Unload(Cancel As Integer)
  FVBWeb.Config = False
End Sub

Private Sub TWebRoot_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
  If Data.GetFormat(15) Then
    TWebRoot.Text = Data.Files(1)
  End If
End Sub

Private Sub CIndexAdd_Click()
  Dim Lp As Long
  Dim Found As Boolean

  Found = False
  If TIndex.Text <> "" Then
    For Lp = 0 To LIndex.ListCount - 1
      If TIndex.Text = LIndex.List(Lp) Then Found = True
    Next Lp
    If Not Found Then LIndex.AddItem TIndex.Text
  End If
End Sub

Private Sub CIndexRemove_Click()
  Dim Lp As Long

  Lp = 0
  While Lp < LIndex.ListCount
    If LIndex.Selected(Lp) Then
      LIndex.RemoveItem (Lp)
    Else
      Lp = Lp + 1
    End If
  Wend
End Sub

Private Sub CSave_Click()
  Dim Temp As String
  Dim Lp As Integer

  If LIndex.ListCount > 0 Then
    Temp = LIndex.List(0)
    For Lp = 1 To LIndex.ListCount - 1
      Temp = Temp & ";" & LIndex.List(Lp)
    Next Lp
    FVBWeb.IndexHTML = Temp
  Else
    FVBWeb.IndexHTML = ""
  End If
  If Val(CPort.Text) > 0 Then FVBWeb.LPort = Val(CPort.Text)
  If TWebRoot.Text <> "" Then FVBWeb.WebRoot = TWebRoot.Text
  FVBWeb.FLog = (CLogFile.Value = 1)
  FVBWeb.DLog = (CLogDebug.Value = 1)
  FVBWeb.LogC = (CConnect.Value = 1)
  FVBWeb.LogE = (CError.Value = 1)
End Sub
